Backend API
Create a new JWT template
cURL
curl --request POST \ --url https://api.wacht.dev/jwt-templates \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "token_lifetime": 123, "allowed_clock_skew": 123, "template": {}, "custom_signing_key": { "enabled": true, "key": "<string>", "algorithm": "<string>" } } '
{ "id": "<string>", "name": "<string>", "token_lifetime": 123, "allowed_clock_skew": 123, "custom_signing_key": { "enabled": true, "key": "<string>", "algorithm": "<string>" }, "template": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
API key authentication (format: Bearer {api_key})
Token lifetime in seconds
Allowed clock skew in seconds
JWT template claims
Show child attributes
JWT template created
Was this page helpful?